:bof
rem Choose (c) 2o1o HcH. Sort of a choice replacement...
rem Config Changer (c) 2o12 HcH. For WM8650 WinCE7
rem I'm just too lame to built a real program for this simple stuff.
color 0a
echo off
cls
type Changer_files\CHANGER.dat
set /p choice=Û    Change WM8650 ROM config to number... / Q=Quit : 
IF /i "%choice%"=="" goto bof
IF /i "%choice%"=="5" goto 5
IF /i "%choice%"=="4" goto 4
IF /i "%choice%"=="3" goto 3
IF /i "%choice%"=="2" goto 2
IF /i "%choice%"=="1" goto 1
IF /i "%choice%"=="q" goto eofx

:error
color 0c
echo                      #####################################
echo                     ##       ERROR CHANGING SCRiPT       ##
echo                      #####################################
echo.                                                     
echo                          ##### ####  ####   ###  ####
echo                          ##    ##  # ##  # #   # ##  #
echo                          ###   ####  ####  #   # ####
echo                          ##    ##  # ##  # #   # ##  #
echo                          ##### ##  # ##  #  ###  ##  #
echo.
pause
goto eofx

:1
cls
copy Changer_files\logo7.bmp .\script8650\kernel\logo.bmp /y
copy Changer_files\scriptcmd7 .\script8650\scriptcmd /y
if errorlevel 1 set errorfound=1
cls
echo.
echo.
echo                     #######################################
echo                     ##     Changed to 800 x 480 (7")     ##
if /i 1 GEQ %errorfound% goto error
echo                     #######################################
echo.
goto eof

:2
cls
copy Changer_files\logo8.bmp .\script8650\kernel\logo.bmp /y
copy Changer_files\scriptcmd8 .\script8650\scriptcmd /y
if errorlevel 1 set errorfound=1
cls
echo.
echo.
echo                     #######################################
echo                     ##     Changed to 800 x 600 (8")     ##
if /i 1 GEQ %errorfound% goto error
echo                     #######################################
echo.
goto eof

:3
cls
copy Changer_files\logo4.bmp .\script8650\kernel\logo.bmp /y
copy Changer_files\scriptcmd4 .\script8650\scriptcmd /y
if errorlevel 1 set errorfound=1
cls
echo.
echo.
echo                     #######################################
echo                     ## Changed to 480 x 272 (4.3" / 5")  ##
if /i 1 GEQ %errorfound% goto error
echo                     #######################################
echo.
goto eof

:4
cls
copy Changer_files\logo9.bmp .\script8650\kernel\logo.bmp /y
copy Changer_files\scriptcmd9 .\script8650\scriptcmd /y
if errorlevel 1 set errorfound=1
cls
echo.
echo.
echo                     #######################################
echo                     ##   Changed to 1024 x 600 (9.7")    ##
if /i 1 GEQ %errorfound% goto error
echo                     #######################################
echo.
goto eof

:5
cls
copy Changer_files\logo10.bmp .\script8650\kernel\logo.bmp /y
copy Changer_files\scriptcmd10 .\script8650\scriptcmd /y
if errorlevel 1 set errorfound=1
cls
echo.
echo.
echo                     #######################################
echo                     ##   Changed to 1024 x 768 (10.1")   ##
if /i 1 GEQ %errorfound% goto error
echo                     #######################################
echo.
goto eof

:sd
@echo off
color 0a
cls
setlocal enabledelayedexpansion
echo.
echo                     ######################################
echo                      #  WM8650 Universal UberWinCE7 v1  #
echo                       ##################################
echo.
echo                #####     #####  #############  #####     #####  
echo                #####     #####  #############  #####     #####  
echo                ###############  #####          ###############  
echo                #####     #####  #############  #####     #####  
echo                #####     #####  #############  #####     #####  
echo.
echo                       ##################################
echo                      #  This tool copies Uberoid to SD  #
echo                     ######################################
echo.
echo                             ## ###                      
echo                            #   #  #  ### ### ### #
echo                             #  #  #   #  # # # # #
echo                              # #  #   #  ### ### ###
echo                            ##  ###
echo.
for /f "skip=1 tokens=1,2 delims=: " %%a in ('wmic logicaldisk get deviceid^,volumename') do (
   set "Available.drives=!Available.drives!%%a=%%b, "
)
set Available.drives=%Available.drives:~0,-2%
set Available.drives=%Available.drives:,@=, @%
set Available.drives
echo Type "exit" or "quit" to exit
set /p sdcard=Choose SD CARD drive letter:
IF /i "%sdcard%"=="" echo NO DRIVE LETTER INPUT!
IF /i "%sdcard%"=="a" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="b" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="c" ECHO This is usually the systemdrive...
IF /i "%sdcard%"=="d" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="e" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="f" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="g" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="h" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="i" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="j" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="k" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="l" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="m" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="n" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="o" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="p" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="q" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="r" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="s" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="t" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="u" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="v" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="w" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="x" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="y" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="z" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="quit" exit
IF /i "%sdcard%"=="exit" exit
if exist %SDCRDP%\script8650 echo.
if exist %SDCRDP%\script8650 echo     ##########################################################
if exist %SDCRDP%\script8650 echo     #    Old script8650 dir found. Hit any key to delete     #
if exist %SDCRDP%\script8650 echo     #   the old version on your SD and copy Uberoid to SD.   #
if exist %SDCRDP%\script8650 echo     ##########################################################
if exist %SDCRDP%\script8650 echo.
if exist %SDCRDP%\script8650 pause
if exist %SDCRDP%\wmt_scriptcmd del /f/s/q %SDCRDP%\wmt_scriptcmd
if exist %SDCRDP%\script8650 del /f/s/q %SDCRDP%\script8650
cls
echo.
echo                     ######################################
echo                      #  WM8650 Universal UberWinCE7 v1  #
echo                       ##################################
echo.
echo                #####     #####  #############  #####     #####  
echo                #####     #####  #############  #####     #####  
echo                ###############  #####          ###############  
echo                #####     #####  #############  #####     #####  
echo                #####     #####  #############  #####     #####  
echo.
echo                       ##################################
echo                      #  This tool copies Uberoid to SD  #
echo                     ######################################
echo.
echo                   ##########################################
echo                  # Copying Uberoid to SD now, please wait . #
echo                 ##############################################
@echo on
copy wmt_scriptcmd %SDCRDP% /y
xcopy script8650\*.* %SDCRDP%\script8650 /h /y /e /i
@echo off
cls
echo.
echo                     ######################################
echo                      #  WM8650 Universal UberWinCE7 v1  #
echo                       ##################################
echo.
echo                #####     #####  #############  #####     #####  
echo                #####     #####  #############  #####     #####  
echo                ###############  #####          ###############  
echo                #####     #####  #############  #####     #####  
echo                #####     #####  #############  #####     #####  
echo.
echo                       ##################################
echo                      # UBEROID COPIED TO SD, REMOVE SD! #
echo                     ######################################
echo.
pause
goto eofx
:sdformat
@echo off
color 0a
cls
setlocal enabledelayedexpansion
echo.
echo                     ######################################
echo                      #  WM8650 Universal UberWinCE7 v1  #
echo                       ##################################
echo.
echo                #####     #####  #############  #####     #####  
echo                #####     #####  #############  #####     #####  
echo                ###############  #####          ###############  
echo                #####     #####  #############  #####     #####  
echo                #####     #####  #############  #####     #####  
echo.
echo                       ##################################
echo                      #  SDFORMAT AND UBEROID COPY TOOL  #
echo                     ######################################
echo.
echo                 WARNiNG, this tool formats the selected drive
echo                   letter and copies Uberoid on the SD card.
echo               Be SURE to select the proper sd card drive letter
echo.
for /f "skip=1 tokens=1,2 delims=: " %%a in ('wmic logicaldisk get deviceid^,volumename') do (
   set "Available.drives=!Available.drives!%%a=%%b, "
)
set Available.drives=%Available.drives:~0,-2%
set Available.drives=%Available.drives:,@=, @%
set Available.drives
echo Type "exit" or "quit" to exit
set /p sdcard=Choose SD CARD drive letter:
IF /i "%sdcard%"=="" echo NO DRIVE LETTER INPUT!
IF /i "%sdcard%"=="a" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="b" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="c" ECHO This is usually the systemdrive...
IF /i "%sdcard%"=="d" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="e" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="f" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="g" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="h" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="i" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="j" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="k" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="l" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="m" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="n" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="o" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="p" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="q" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="r" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="s" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="t" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="u" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="v" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="w" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="x" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="y" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="z" set SDCRDP=%sdcard%:
IF /i "%sdcard%"=="quit" exit
IF /i "%sdcard%"=="exit" exit
format %SDCRDP% /FS:FAT32 /x /v:UBEROID
cls
echo   ###############################################
echo   ## Copying Uberoid to SD now, please wait... ##
echo   ###############################################
@echo on
copy wmt_scriptcmd %SDCRDP% /y
xcopy script8650\*.* %SDCRDP%\script8650 /h /y /e /i
@echo off
cls
echo.
echo                     ######################################
echo                      #  WM8650 Universal UberWinCE7 v1  #
echo                       ##################################
echo.
echo                #####     #####  #############  #####     #####  
echo                #####     #####  #############  #####     #####  
echo                ###############  #####          ###############  
echo                #####     #####  #############  #####     #####  
echo                #####     #####  #############  #####     #####  
echo.
echo                       ##################################
echo                      # UBEROID COPIED TO SD, REMOVE SD! #
echo                     ######################################
echo.
pause
goto eofx

:eof
if /i 1 GEQ %errorfound% goto error 

set /p choiceX= Do you want to COPY Uberoid to an SD drive, Y/N ? 
IF /i "%choiceX%"=="" goto nochoiceX
IF /i "%choiceX%"=="y" goto sd
IF /i "%choiceX%"=="n" goto sdf

:sdf
setlocal enabledelayedexpansion
set /p choiceX2= Do you want to FORMAT SD and COPY Uberoid to SD, Y/N ? 
IF /i "%choiceX2%"=="" goto nochoiceX2
IF /i "%choiceX2%"=="y" goto sdformat
IF /i "%choiceX2%"=="n" goto eofx

:nochoiceX
goto eof

:nochoiceX2
goto sdf

:eofx
exit